com.tibbo.aggregate.common.action.command

## Class ShowHtmlSnippet

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.ShowHtmlSnippet

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class ShowHtmlSnippet
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_CHECK_HTML_VALIDITY`
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DASHBOARDS_HIERARCHY_INFO`
    `static java.lang.String` | `CF_EXPRESSION`
    `static java.lang.String` | `CF_HTML`
    `static java.lang.String` | `CF_KEY`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_RESOURCE_BUNDLE`
    `static java.lang.String` | `CF_TYPE`
    `static java.lang.String` | `CF_URL`
    `static TableFormat` | `CFT_SHOW_HTML_SNIPPET`
    `static java.util.regex.Pattern` | `EXPRESSION_PATTERN`
    `static int` | `TYPE_EXPRESSION`
    `static int` | `TYPE_FRAME`
    `static int` | `TYPE_HTML`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowHtmlSnippet()`
    `ShowHtmlSnippet(java.lang.String title, DataTable parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.lang.Boolean` | `getCheckHtmlValidity()`
    `DashboardProperties` | `getDashboard()`
    `DashboardsHierarchyInfo` | `getDashboardsHierarchyInfo()`
    `java.lang.String` | `getExpression()`
    `java.lang.String` | `getHtml()`
    `java.lang.String` | `getKey()`
    `WindowLocation` | `getLocation()`
    `java.lang.String` | `getResourceBundle()`
    `java.lang.Integer` | `getSnippetType()`
    `java.lang.String` | `getUrl()`
    `void` | `setCheckHtmlValidity(java.lang.Boolean checkHtmlValidity)`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)`
    `void` | `setExpression(java.lang.String expression)`
    `void` | `setHtml(java.lang.String html)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLocation(WindowLocation location)`
    `void` | `setResourceBundle(java.lang.String resourceBundle)`
    `void` | `setSnippetType(java.lang.Integer snippetType)`
    `void` | `setUrl(java.lang.String url)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EXPRESSION_PATTERN

          public static final java.util.regex.Pattern EXPRESSION_PATTERN

    - #### TYPE_FRAME

          public static final int TYPE_FRAME

      See Also:
        Constant Field Values

    - #### TYPE_EXPRESSION

          public static final int TYPE_EXPRESSION

      See Also:
        Constant Field Values

    - #### TYPE_HTML

          public static final int TYPE_HTML

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_KEY

          public static final java.lang.String CF_KEY

      See Also:
        Constant Field Values

    - #### CF_TYPE

          public static final java.lang.String CF_TYPE

      See Also:
        Constant Field Values

    - #### CF_URL

          public static final java.lang.String CF_URL

      See Also:
        Constant Field Values

    - #### CF_EXPRESSION

          public static final java.lang.String CF_EXPRESSION

      See Also:
        Constant Field Values

    - #### CF_HTML

          public static final java.lang.String CF_HTML

      See Also:
        Constant Field Values

    - #### CF_CHECK_HTML_VALIDITY

          public static final java.lang.String CF_CHECK_HTML_VALIDITY

      See Also:
        Constant Field Values

    - #### CF_DASHBOARDS_HIERARCHY_INFO

          public static final java.lang.String CF_DASHBOARDS_HIERARCHY_INFO

      See Also:
        Constant Field Values

    - #### CF_RESOURCE_BUNDLE

          public static final java.lang.String CF_RESOURCE_BUNDLE

      See Also:
        Constant Field Values

    - #### CFT_SHOW_HTML_SNIPPET

          public static final TableFormat CFT_SHOW_HTML_SNIPPET

  - ### Constructor Detail

    - #### ShowHtmlSnippet

          public ShowHtmlSnippet()

    - #### ShowHtmlSnippet

          public ShowHtmlSnippet(java.lang.String title,
                                 DataTable parameters)

  - ### Method Detail

    - #### getResourceBundle

          public java.lang.String getResourceBundle()

    - #### setResourceBundle

          public void setResourceBundle(java.lang.String resourceBundle)

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getLocation

          public WindowLocation getLocation()

    - #### setLocation

          public void setLocation(WindowLocation location)

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl(java.lang.String url)

    - #### getDashboardsHierarchyInfo

          public DashboardsHierarchyInfo getDashboardsHierarchyInfo()

    - #### setDashboardsHierarchyInfo

          public void setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)

    - #### getSnippetType

          public java.lang.Integer getSnippetType()

    - #### setSnippetType

          public void setSnippetType(java.lang.Integer snippetType)

    - #### getHtml

          public java.lang.String getHtml()

    - #### setHtml

          public void setHtml(java.lang.String html)

    - #### getExpression

          public java.lang.String getExpression()

    - #### setExpression

          public void setExpression(java.lang.String expression)

    - #### getCheckHtmlValidity

          public java.lang.Boolean getCheckHtmlValidity()

    - #### setCheckHtmlValidity

          public void setCheckHtmlValidity(java.lang.Boolean checkHtmlValidity)